<?php
include("../sessionreserved.php");
include("../../db.php");


if(!empty($_REQUEST['q'])){

	include_once("../classes/class.export_excel.php");
	$excel_obj=new ExportExcel("Tabella_7A_notifica_".$_GET["anno"].".xls");
	$xls_data = array();
	
	$xls_header = array('data','codice','comune','indirizzo','impresa','zona','data ins');

	$query = urldecode(base64_decode($_REQUEST['q']));
	$query = current(explode("LIMIT",$query));
	$result = mysql_query($query);
	while($row = mysql_fetch_array($result)){
		
		if($row['custom_comune'] == ''){
			$comune = $row['cant_comune'];
			$strada = $row['cant_strada'];
			$numero = $row['id_numero'];
		}else{
			$comune = $row['custom_comune'];
			$strada = $row['custom_strada'];
			$numero = $row['custom_numero'];
		}
		
		$myArr[] = strtoupper(utf8_decode($row['datavisita']));
		$myArr[] = strtoupper(utf8_decode($row['codice']));
		$myArr[] = strtoupper(utf8_decode($comune));
		$myArr[] = strtoupper(utf8_decode($strada.' '.$numero));
		$myArr[] = strtoupper(utf8_decode($row['imp_anagrafica']));
		$myArr[] = strtoupper(utf8_decode($row['zona']));
		$myArr[] = strftime("%Y-%m-%d", strtotime($row['dataora']));
		
		$xls_data[] = $myArr;
		#$excel->writeLine($myArr,'vertical-align:top');
		unset($myArr);

	}
	
	$excel_obj->setHeadersAndValues($xls_header,$xls_data); 
	//now generate the excel file with the data and headers set
	$excel_obj->GenerateExcelFile();

	die();
}


$arr_tipo = array('aziendale','richiesta','pos');

if(!in_array($_REQUEST['tipo'],$arr_tipo))
	$_REQUEST['tipo'] = '%';

if(empty($_REQUEST['usr']))
	$_REQUEST['usr'] = '%';
	
if(empty($_REQUEST['dal'])){
	$_REQUEST['dal'] = date("d/m/").(date("Y")-1);
	$_REQUEST['al'] = date("d/m/Y");
}


list($dd,$mm,$yyyy) = explode("/",$_REQUEST['dal']);
$dal = implode("-",array($yyyy,$mm,$dd));
list($dd,$mm,$yyyy) = explode("/",$_REQUEST['al']);
$al = implode("-",array($yyyy,$mm,$dd));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Osservatorio Edile Biella - R.L.S.T. | Elenco visite</title>
<script language="javascript" src="../js/script.js"></script>
<script language="javascript" src="js/rlst.js"></script>
<script language="javascript">
function cntr_filtri_list(){
	var f = document.formFiltri;
	var error = '';
	
	if(!isDate(f.dal.value))
		error = "Data 'Dal' nel formato errato (gg/mm/aaaa)";
	else if(!isDate(f.al.value))
		error = "Data 'Al' nel formato errato (gg/mm/aaaa)";
		
	if(error != ''){
		alert(error);
		return false;	
	}
	return true;
}

</script>
<link rel="stylesheet" type="text/css" href="css/style.css" />
</head>

<body>

<div id="header"></div>
<div id="container">
	<div id="mainHeader" class="clearfix"><?php include("mainHeader.php");?></div>
	<?php include("mainMenu.php");?>
   
    <div id="mainContainer">
        <span class="mainContentTitle">
        <form name="formFiltri" method="get" action="visita_list.php" enctype="application/x-www-form-urlencoded" onsubmit="return cntr_filtri_list()">
            Visite inserite da
            <select name="usr">
                <option value="%">Tutti</option>
            <?php
            $result = mysql_query("SELECT * FROM users WHERE zona <> '' ORDER BY anagrafica");
                while($row = mysql_fetch_array($result)){
                    $row['userid'] == $_REQUEST['usr'] ? $sel = ' selected="selected"' : $sel = '';
                    echo '<option value="'.$row['userid'].'"'.$sel.'>'.utf8_encode($row['anagrafica']).'</option>';
                }
            ?>
            </select> 
             
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    
            Dal <input type="text" name="dal" size="10" maxlength="10" value="<?php echo $_REQUEST['dal'];?>" /> 
            &nbsp;&nbsp;
            Al <input type="text" name="al" size="10" maxlength="10" value="<?php echo $_REQUEST['al'];?>" /> 
    
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    
            Tipo 
            <select name="tipo">
                <option value="%">Tutte</option>
                <option value="aziendale"<?php if($_REQUEST['tipo'] == 'aziendale') echo ' selected="selected"';?>>Aziendale</option>
                <option value="richiesta"<?php if($_REQUEST['tipo'] == 'richiesta') echo ' selected="selected"';?>>Richiesta</option>
                <option value="pos"<?php if($_REQUEST['tipo'] == 'pos') echo ' selected="selected"';?>>P.O.S.</option>
            </select>
    
    
            <button type="submit">Visualizza</button>


		</form>



        </span>
        <div id="mainContent" class="clearfix">
        <?php
		if(empty($_GET)){
			$_SESSION['arrOrder'] = array(
				0 => 'datavisita DESC',
				1 => 'cant_comune ASC',
				2 => 'cant_strada ASC',
				3 => 'id_numero ASC',
				4 => 'imp_anagrafica ASC',
				5 => 'codice ASC',
				6 => 'dataora DESC'
			);
		}
			
		if(!empty($_GET['ord'])){
			
			//controllo se il primo elemento dell'array è l'elemento cercato, perchè, nel caso sia così, devo cambiare
			//da ASC a DESC
			if(current(explode(" ",current($_SESSION['arrOrder']))) <> $_GET['ord']){
			
				//estraggo l'indice dell'elemento da eliminare 
				$key = array_search($_GET['ord'].' ASC',$_SESSION['arrOrder']);
				if(!$key)
					$key = array_search($_GET['ord'].' DESC',$_SESSION['arrOrder']);
					
				//memorizzo il valore, senza ASC e DESC dell'elemento, perchè intanto, quando lo metto all'inizio, dovrà sempre
				//essere ASC
				$var = current(explode(" ",$_SESSION['arrOrder'][$key]));
				//elimino l'elemento dall'array
				unset($_SESSION['arrOrder'][$key]);
				//lo reinserisco all'inizio con valore ASC
				array_unshift($_SESSION['arrOrder'],$var.' ASC');
			
			//Se il primo elemento è quello quello passato dall'utente come chiave di ordinamento, devo solo cambiare da ASC a DESC
			}else if(empty($_GET['from'])){
				//divido il primo elemento in nome campo e tipo di ordine
				$campo = explode(" ",$_SESSION['arrOrder'][0]);
				//se l'ordine è ASC, all'elemento aggiungo DESC
				if($campo[1] == 'ASC'){
					$str = $campo[0] .= ' DESC';
				//se l'ordine è DESC, all'elemento aggiungo ASC
				}else{
					$str = $campo[0] .= ' ASC';
				}
				//ripristino il primo elemento con il nuovo tipo di ordinamento
				$_SESSION['arrOrder'][0] = $str;
			}
		}
		$orderby = implode(',',$_SESSION['arrOrder']);		

		$limit = 20;
		$query = "
			SELECT SQL_CALC_FOUND_ROWS *,
			visite.idvisita AS id, DATE_FORMAT(datavisita,'%d/%m/%Y') AS data
			FROM visite 
			LEFT JOIN visite_imp ON visite.idvisita = visite_imp.idvisita
			LEFT JOIN users ON visite.userid = users.userid
			WHERE visite.datavisita IS NOT NULL AND visite.userid LIKE '".$_REQUEST['usr']."'
			AND datavisita >= '".$dal."' AND datavisita <= '".$al."'
			AND tipovisita LIKE '".$_REQUEST['tipo']."'
			GROUP BY visite.idvisita
			ORDER BY ".$orderby.",visite.idvisita
			LIMIT ".intval($_REQUEST['from']).",".$limit;
		
		$result = mysql_query($query);
		
		if(mysql_num_rows($result) > 0){
			
			//navigazione
			$result2 = mysql_query("SELECT FOUND_ROWS() AS tot");
			$tot = mysql_result($result2,0,'tot');
			
			if($tot > $limit){
				
				$npag = ceil($tot / $limit);
				$pags = '<div class="naviga">Pagina ';
				for($i=0;$i<$npag;$i++){
					if($_REQUEST['from'] / $limit == $i)
						$st = ' class="active"';
					else
						$st = '';
					$cur = $i + 1;
					$pags .= '<a'.$st.' href="visita_list.php?usr='.$_REQUEST['usr'].'&ord='.$_GET['ord'].'&from='.($i * $limit).'">'. $cur .'</a> ';
				}
				
				$pags .= "</div>";
			}
			
			$ord_url = 'tipo='.$_REQUEST['tipo'].'&dal='.$_REQUEST['dal'].'&al='.$_REQUEST['al'].'&usr='.$_REQUEST['usr'].'&from='.$_GET['from'];
			
			echo '
			<table class="tableList" cellspacing="1" cellpadding="0">
				<tr class="header">
					<td width="30"><a href="?'.$ord_url.'&ord=datavisita">Data</a></td>
					<td width="40"><a href="?'.$ord_url.'&ord=codice">Codice</a></td>
					<td width="120"><a href="?'.$ord_url.'&ord=cant_comune">Comune</a></td>
					<td width="190"><a href="?'.$ord_url.'&ord=cant_strada">Indirizzo</a></td>
					<td><a href="?'.$ord_url.'&ord=imp_anagrafica">Impresa</a></td>
					<td width="30"><a href="?'.$ord_url.'&ord=dataora">Data ins.</a></td>
				</tr>
			';
			while($row=mysql_fetch_array($result)){
				
				if($row['custom_comune'] == ''){
					$comune = $row['cant_comune'];
					$strada = $row['cant_strada'];
					$numero = $row['id_numero'];
				}else{
					$comune = $row['custom_comune'];
					$strada = $row['custom_strada'];
					$numero = $row['custom_numero'];
				}
				
				echo '
				<tr onclick="window.location=\'visita_view.php?id='.$row['id'].'\'">
					<td>'.$row['data'].'</td>
					<td>'.$row['codice'].'</td>
					<td nowrap>'.$comune.'</td>
					<td nowrap>'.$strada.' '.$numero.'</td>
					<td>'.$row['imp_anagrafica'].'</td>
					<td>'.strftime("%d/%m/%Y", strtotime($row['dataora'])).'</td>
				</tr>
				';
			}
			echo '</table>';
			echo $pags;
		}else{
			echo "Nessuna visita inserita";
		}
		?>
                    <button type="button" onclick="window.open('visita_list.php?q=<?php echo base64_encode(urlencode($query));?>')">Esporta</button>

        </div>
    </div>
    
</div>

<div id="footer"></div>
</body>
</html>